Subject: Re: bug#58101: 28.2; image-size nonsensical

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 27 Sep 2022 13:57:16 +0200

Eli Zaretskii <[email-masked]> writes:

>> >> After some googling I found image-scaling-factor, and after setting that
>> >> to 1, I always get the expected 1291 . 632 now.
>> > 
>> > So the issue happens because image-scaling-factor is different from 1?
>> > If so, this doesn't seem to be a bug, does it?
>> 
>> I cannot reproduce the bug today, but the result until yesterday (as 
>> written in the bug report) was wrong, even taking image-scaling-factor 
>> into account (30 . 30).
>
> Well, we need a reproducible recipe to investigate, I think.

Can you try

(image-size (create-image "/tmp/two_key_system_2x.png" nil nil :scale 1.4) :pixels)

It rather sounds like `image-size' on Windows doesn't work when there's
scaling involved and then reports the size in character units instead.